POE::Loop::Gtk(3)

sub skip_tests {
  return "Gtk needs a DISPLAY (set one today, okay?)" unless (
    defined $ENV{DISPLAY} and length $ENV{DISPLAY}
  );
  return "Gtk tests require the Gtk module" if do { eval "use Gtk"; $@ };
  return "Gtk init failed. Is DISPLAY valid?" unless defined Gtk->init_check;
  return; }

NAME
POE::Loop::Gtk - a bridge that allows POE to be driven by Gtk

SYNOPSIS
See POE::Loop.

DESCRIPTION
POE::Loop::Gtk implements the interface documented in POE::Loop. Therefore it has no documentation of its own. Please see POE::Loop for more details.

SEE ALSO
POE, POE::Loop, Gtk, POE::Loop::PerlSignals

AUTHORS & LICENSING
Please see POE for more information about authors, contributors, and POE's licensing.